Package org.kapott.hbci.status

## Class HBCIExecStatus

- java.lang.Object
- - org.kapott.hbci.status.HBCIExecStatus

    public class HBCIExecStatus
    extends java.lang.Object

Statusinformationen über alle ausgeführten Dialoge. Die Methode `HBCIHandler.execute()` gibt nach der Ausführung aller HBCI-Dialoge ein Objekt dieser Klasse zurück. Dieses Objekt enthält Informationen darüber, für welche Kunden-IDs tatsächlich HBCI-Dialoge geführt wurden. Für jeden geführten HBCI-Dialog existiert dann ein `HBCIDialogStatus`-Objekt, welches Informationen zu dem jeweiligen Dialog enthält.

### Constructor Summary

Constructors
`HBCIExecStatus()`

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`void` `addDialogStatus​(java.lang.String customerid, HBCIDialogStatus status)` Wird von der HBCI4Java-Dialog-Engine aufgerufen
`void` `addException​(java.lang.String customerid, java.lang.Exception e)` Wird von der HBCI4Java-Dialog-Engine aufgerufen
`java.util.List<java.lang.String>` `getCustomerIds()` Gibt die Menge aller Kunden-IDs zurück, für die ein HBCI-Dialog geführt wurde.
`HBCIDialogStatus` `getDialogStatus​(java.lang.String customerid)` `HBCIDialogStatus` für den Dialog einer bestimmten Kunden-ID zurückgeben.
`java.util.List<HBCIDialogStatus>` `getDialogStatusList()` Deprecated. sinnlos
`java.lang.String` `getErrorString()` Gibt einen String zurück, der alle Fehlermeldungen aller ausgeführten Dialog enthält.
`java.util.List<java.lang.Exception>` `getExceptions​(java.lang.String customerid)` Exceptions zurückgeben, die beim Ausführen eines bestimmten Dialoges aufgetreten sind.
`boolean` `isOK()` Gibt zurück, ob alle "geplanten" HBCI-Dialoge ordnungsgemäß ausgeführt wurden.
`boolean` `isOK​(java.lang.String customerId)`
`java.lang.String` `toString()` Gibt einen String mit allen Status-Informationen über alle ausgeführten Dialoge zurück.
`java.lang.String` `toString​(java.lang.String customerId)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HBCIExecStatus

    public HBCIExecStatus()

### Method Detail

#### getCustomerIds

    public java.util.List<java.lang.String> getCustomerIds()

Gibt die Menge aller Kunden-IDs zurück, für die ein HBCI-Dialog geführt wurde.

Returns:
  Liste mit Kunden-IDs

#### addDialogStatus

    public void addDialogStatus​(java.lang.String customerid,
                                HBCIDialogStatus status)

Wird von der HBCI4Java-Dialog-Engine aufgerufen

#### addException

    public void addException​(java.lang.String customerid,
                             java.lang.Exception e)

Wird von der HBCI4Java-Dialog-Engine aufgerufen

#### getDialogStatusList

    public java.util.List<HBCIDialogStatus> getDialogStatusList()

Deprecated.
sinnlos
Gibt eine Liste von Status-Informationen für jeden ausgeführten HBCI-Dialog zurück. Diese Methode ist insofern von eingeschränkter Bedeutung, weil es nicht möglich ist, einem `HBCIDialogStatus`-Objekt dieser Liste die Kunden-ID zuzuordnen, unter der der jeweilige Dialog geführt wurde. Dazu müssen die Methoden `getCustomerIds()` und `getDialogStatus(String)` verwendet werden.

Returns:
  Menge aller gespeicherten HBCI-Dialog-Status-Informationen

#### getDialogStatus

    public HBCIDialogStatus getDialogStatus​(java.lang.String customerid)

`HBCIDialogStatus` für den Dialog einer bestimmten Kunden-ID zurückgeben.

Parameters:
  `customerid` - die Kunden-ID, für deren Dialog das Status-Objekt zurückgegeben werden soll
Returns:
  Status-Objekt für den ausgewählten Dialog

#### getExceptions

    public java.util.List<java.lang.Exception> getExceptions​(java.lang.String customerid)

Exceptions zurückgeben, die beim Ausführen eines bestimmten Dialoges aufgetreten sind. Dabei werden nur die Exceptions zurückgegeben, die Fehler in der Verwaltung der Kunden-IDs/Dialoge betreffen. Alle Exceptions, die während der eigentlichen Dialogausführung evtl. aufgetreten sind, sind im entsprechenden `HBCIDialogStatus`-Objekt des jeweiligen Dialoges enthalten.

Parameters:
  `customerid` - die Kunden-ID, für deren HBCI-Dialog die evtl. aufgetretenen Exceptions ermittelt werden sollen.
Returns:
  Liste mit aufgetretenen Exceptions

#### getErrorString

    public java.lang.String getErrorString()

Gibt einen String zurück, der alle Fehlermeldungen aller ausgeführten Dialog enthält.

Returns:
  String mit allen aufgetretenen Fehlermeldungen

#### toString

    public java.lang.String toString​(java.lang.String customerId)

#### toString

    public java.lang.String toString()

Gibt einen String mit allen Status-Informationen über alle ausgeführten Dialoge zurück.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  textuelle Darstellung aller gespeicherten Statusdaten

#### isOK

    public boolean isOK​(java.lang.String customerId)

#### isOK

    public boolean isOK()

Gibt zurück, ob alle "geplanten" HBCI-Dialoge ordnungsgemäß ausgeführt wurden.

Returns:
  `false`, wenn wenigstens bei einer Dialog-Ausführung für eine Kunden-ID ein Fehler aufgetreten ist; ansonsten `true`